# Uses of Class
org.apache.trevni.avro.AvroColumnReader.Params

Packages that use AvroColumnReader.Params
Package
Description
org.apache.trevni.avro
Read and write Avro data in Trevni column files.

## Uses of AvroColumnReader.Params in org.apache.trevni.avro

Methods in org.apache.trevni.avro that return AvroColumnReader.Params
Modifier and Type
Method
Description
`AvroColumnReader.Params`
AvroColumnReader.Params.`setModel(org.apache.avro.generic.GenericData model)`
Set data representation.
`AvroColumnReader.Params`
AvroColumnReader.Params.`setSchema(org.apache.avro.Schema schema)`
Set subset schema to project data down to.
Constructors in org.apache.trevni.avro with parameters of type AvroColumnReader.Params
Modifier
Constructor
Description
``
`AvroColumnReader(AvroColumnReader.Params params)`
Construct a reader for a file.